Package io.dapr.v1

# Interface DaprProtos.BulkPublishResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.BulkPublishResponse`, `DaprProtos.BulkPublishResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.BulkPublishResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.BulkPublishResponseFailedEntry`
`getFailedEntries(int index)`
The entries for different events that failed publish in the BulkPublishEvent call
`int`
`getFailedEntriesCount()`
The entries for different events that failed publish in the BulkPublishEvent call
`List<DaprProtos.BulkPublishResponseFailedEntry>`
`getFailedEntriesList()`
The entries for different events that failed publish in the BulkPublishEvent call
`DaprProtos.BulkPublishResponseFailedEntryOrBuilder`
`getFailedEntriesOrBuilder(int index)`
The entries for different events that failed publish in the BulkPublishEvent call
`List<? extends DaprProtos.BulkPublishResponseFailedEntryOrBuilder>`
`getFailedEntriesOrBuilderList()`
The entries for different events that failed publish in the BulkPublishEvent call

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getFailedEntriesList

List<DaprProtos.BulkPublishResponseFailedEntry> getFailedEntriesList()

     The entries for different events that failed publish in the BulkPublishEvent call

`repeated .dapr.proto.runtime.v1.BulkPublishResponseFailedEntry failedEntries = 1;`

### getFailedEntries

DaprProtos.BulkPublishResponseFailedEntry getFailedEntries(int index)

     The entries for different events that failed publish in the BulkPublishEvent call

`repeated .dapr.proto.runtime.v1.BulkPublishResponseFailedEntry failedEntries = 1;`

### getFailedEntriesCount

int getFailedEntriesCount()

     The entries for different events that failed publish in the BulkPublishEvent call

`repeated .dapr.proto.runtime.v1.BulkPublishResponseFailedEntry failedEntries = 1;`

### getFailedEntriesOrBuilderList

List<? extends DaprProtos.BulkPublishResponseFailedEntryOrBuilder> getFailedEntriesOrBuilderList()

     The entries for different events that failed publish in the BulkPublishEvent call

`repeated .dapr.proto.runtime.v1.BulkPublishResponseFailedEntry failedEntries = 1;`

### getFailedEntriesOrBuilder

DaprProtos.BulkPublishResponseFailedEntryOrBuilder getFailedEntriesOrBuilder(int index)

     The entries for different events that failed publish in the BulkPublishEvent call

`repeated .dapr.proto.runtime.v1.BulkPublishResponseFailedEntry failedEntries = 1;`